import QtQuick 2.4
import Ubuntu.Components 1.3
import Git 1.0
import Pass 1.0
import "../../headers"
import "../../../styles"

Page {
    id: importGit

    header: StackHeader {
        id: importGitHeader
        title: i18n.tr('Git clone')
    }

    Row {
        anchors.top: importGitHeader.bottom
        anchors.topMargin: units.gu(1)
        anchors.right: parent.right
        anchors.left: parent.left
        anchors.bottom: parent.bottom
        height: units.gu(4)
        
        Rectangle {
            height: units.gu(4)
            width: units.gu(2)
        }
        TextField {
            id: gitUrlTextField 
            placeholderText: "https://..."
            height: units.gu(4)
            width: parent.width - units.gu(8)
        }

        Icon {
            id: ico
            name: "document-save"
            color: UbuntuColors.orange
            height: units.gu(4)
            width: units.gu(4)
            
            MouseArea {
                anchors.fill: parent
                onPressed: {
                    parent.color = UbuntuColors.warmGrey
                }
                onClicked: {
                    Git.clone(gitUrlTextField.text, Pass.getPasswordStore())
                }
                onReleased: {
                    parent.color = theme.palette.normal.background
                }
            }
        }
    }
    
    Component.onCompleted : {
        gitUrlTextField.forceActiveFocus()
    }
}

